Company logoTrust Center Documentation
API v1 ReferenceIntegrationsApps

Get integration app statuses

Returns status metadata for each supported integration app for the authenticated tenant. Browse request parameters, authentication requirements, response…

GET
/api/v1/integrations/apps

Returns status metadata for each supported integration app for the authenticated tenant.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/integrations/apps"
{  "google_docs_status": {    "state": "connected",    "connectionId": "google-conn-123",    "environment": "dev",    "lastSynced": "2026-02-15T10:00:00.000Z",    "errors": [],    "error": null  },  "notion_status": {    "state": "disconnected",    "connectionId": null,    "environment": null,    "lastSynced": null,    "errors": [],    "error": null  },  "confluence_status": {    "state": "connected",    "connectionId": "confluence-conn-123",    "environment": "prod",    "lastSynced": "2026-02-16T08:00:00.000Z",    "errors": [],    "error": null  },  "slack_status": {    "state": "warning",    "connectionId": "slack-conn-123",    "environment": "prod",    "lastSynced": "2026-02-14T09:30:00.000Z",    "errors": [      "refresh_token_expired"    ],    "error": "Token refresh failed"  },  "docusign_status": {    "state": "disconnected",    "connectionId": null,    "environment": null,    "lastSynced": null,    "errors": [],    "error": null  },  "docusign_provider_key": "docusign-sandbox"}

How is this guide?